<div *ngIf="loggedUser" class="container">
    <div class="row">{{comment.content}}</div><br>
    <div class="row">
      <div *ngIf="showEditButton" class="col mr-auto p-2 d-flex justify-content-start">
        <app-ngbd-modal-comment-edit-component [postId]="postId" [commentId]="this.comment.id" [commentContent]="comment.content"></app-ngbd-modal-comment-edit-component>
        <app-delete (delete)="triggerDeleteComment()" title="Delete"></app-delete>
      </div>
      <div *ngIf="showVotesIcons" class="col mr-auto p-2 d-flex justify-content-end">
        <app-vote class="ml-3" (upvote)="triggerUpvoteComment()" (downvote)="triggerDownvoteComment()"
          [isLikeIconDisabled]="disableLikeButton" [isDislikeIconDisabled]="disableDislikeButton" [likesNum]="this.comment.likedBy" [dislikesNum]="this.comment.dislikedBy"></app-vote>
      </div>
    </div>
</div>  
